/* Pour avoir les instructions possibles, on peut aller sur :
   https://github.com/olikraus/u8g2/wiki/u8g2reference#drawline
   Teste les tracéa graphiques "courants".
*/

#include <Arduino.h>
#include <U8g2lib.h>
#include <SPI.h>
#include <Wire.h>

U8G2_SSD1306_128X32_UNIVISION_F_HW_I2C u8g2(U8G2_R0); 

void setup(void) {u8g2.begin();}

void loop(void) {
  u8g2.clearBuffer(); // Effacer l'afficheur.
  u8g2.drawPixel(15,20); u8g2.drawLine(10,10,100,50); u8g2.drawLine(127,0,0,31);
  u8g2.drawHLine(73,15,20); u8g2.drawVLine(80,10,10);
  u8g2.drawFrame(0,0,128,32); u8g2.drawRFrame(5,5,118,22,5);
  u8g2.drawBox(100,10,5,6); u8g2.drawRBox(100,20,5,6,3);
  u8g2.drawCircle(32,16,10); u8g2.drawDisc(64,16,10);
  u8g2.sendBuffer(); // Transférer le texte sur l'afficheur.
  delay(1000);
  // Remplir l'écran sans effacer :
  u8g2.drawBox(0,0,128,32);
  u8g2.sendBuffer(); // Transférer le texte sur l'afficheur.
  delay(1000);}

